package com.yihu.jw.entity.health.bank;/**
 * Created by nature of king on 2018/5/3.
 */

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import javafx.concurrent.Task;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @author wangzhinan
 * @create 2018-05-03 15:17
 * @desc exchange goods
 **/
@Entity
@Table(name = "wlyy_health_bank_exchange_goods")
public class ExchangeGoodsDO extends UuidIdentityEntityWithOperator implements Serializable {

    @Column(name = "saas_id")
    private String saasId;//saasid

    @Column(name = "activity_goods_id")
    private String activityGoodsId;//商品id

    @Column(name = "integrate")
    private Integer integrate;//积分

    @Column(name = "patient_id")
    private String patientId;//居民id

    @Column(name = "status")
    private Integer status;//状态

    @Column(name = "coupon")
    private Integer coupon;//活动劵

    @Transient
    private GoodsDO goodsDO;//商品对象

    @Transient
    private String hospital;

    @Transient
    private String hospitalName;

    @Transient
    private TaskGoodsDO taskGoodsDO;


    @Column(name = "saas_id")
    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }


    @Column(name = "integrate")
    public Integer getIntegrate() {
        return integrate;
    }

    public void setIntegrate(Integer integrate) {
        this.integrate = integrate;
    }

    @Column(name = "patient_id")
    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    @Transient
    public GoodsDO getGoodsDO() {
        return goodsDO;
    }

    public void setGoodsDO(GoodsDO goodsDO) {
        this.goodsDO = goodsDO;
    }

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Column(name = "activity_goods_id")
    public String getActivityGoodsId() {
        return activityGoodsId;
    }

    public void setActivityGoodsId(String activityGoodsId) {
        this.activityGoodsId = activityGoodsId;
    }

    @Column(name = "coupon")
    public Integer getCoupon() {
        return coupon;
    }

    public void setCoupon(Integer coupon) {
        this.coupon = coupon;
    }

    @Transient
    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    @Transient
    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    @Transient
    public TaskGoodsDO getTaskGoodsDO() {
        return taskGoodsDO;
    }

    public void setTaskGoodsDO(TaskGoodsDO taskGoodsDO) {
        this.taskGoodsDO = taskGoodsDO;
    }
}
